CFDISK(8)

NOM
cfdisk - Afficher ou manipuler une table de partitions de disque

SYNOPSIS

cfdisk [options] [périphérique]

DESCRIPTION

cfdisk est un programme utilisant curses destiné au partitionnement de n’importe quel périphérique bloc. Le périphérique par défaut est /dev/sda.

Remarquez que cfdisk fournit une fonctionnalité de partitionnement de base avec une interface utilisateur agréable. Si vous avez besoin de fonctionnalités avancées, vous devriez plutôt utiliser fdisk(8).

Tout changement de l’étiquette du disque restera uniquement en mémoire et le disque restera inchangé jusqu’à ce que vous décidiez d’écrire vos changements. Utilisez la commande d’écriture avec prudence.

Depuis la version 2.25, cfdisk prend en charge les étiquettes de disque MBR (DOS), GPT, SUN et SGI, mais ne fournit plus de fonctionnalité pour l’adressage CTS (cylindre tête secteur). CTS n’a jamais été important pour Linux et ce concept d’adressage n’a aucun sens pour les nouveaux périphériques.

Depuis la version 2.25, cfdisk ne fournit plus non plus de commande d’affichage « print ». Cette fonctionnalité est fournie par les utilitaires partx(8) et lsblk(8) de manière très confortable et évoluée.

Pour supprimer une ancienne table de partitions d’un périphérique, utilisez wipefs(8).

OPTIONS

-L, --color[=quand]
    Colorer la sortie. L’argument facultatif quand peut être auto, never (jamais) ou always (toujours). En absence d’argument quand, auto est la valeur par défaut. Les couleurs peuvent être désactivées. Pour les valeurs par défaut, consultez la sortie de la commande avec --help. Consultez également la section COULEURS.

--lock[=mode]
    Utiliser un verrou BSD exclusif pour le périphérique ou le fichier visé. L’argument facultatif mode peut être yes, no (ou 1 et 0) ou nonblock. Si cet argument est absent, sa valeur par défaut est yes. Cette option écrase la variable d’environnement $LOCK_BLOCK_DEVICE. Le comportement par défaut est de n’utiliser aucun verrou, mais cela est recommandé pour éviter des collisions avec systemd-udevd(8) ou d’autres outils.

-r, --read-only
    Ouverture forcée en lecture seule.

-b, --sector-size taille
    Indiquer la taille des secteurs du disque. Les valeurs possibles sont 512, 1024, 2048 et 4096. Le noyau connaît la taille de secteur pour les périphériques blocs normaux. N’utilisez cette option que sur des noyaux très anciens, en travaillant avec des images disque ou pour passer outre la taille par défaut du kernel. Depuis util-linux 2.17, fdisk fait la différence entre les tailles de secteurs logique et physique. Cette option modifie les deux tailles de secteurs par taille.

-z, --zero
    Démarrer avec une table de partitions vierge en mémoire. Cette option ne réinitialise pas la table de partitions sur le disque ; le programme démarre simplement sans lire la table de partitions existante. Cette option permet de créer une nouvelle table de partitions vide ou à partir d’un script compatible avec sfdisk(8).

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher la version et quitter.

COMMANDES

Les commandes de cfdisk peuvent être entrées en pressant la touche correspondante (presser la touche « Entrée » n’est pas nécessaire après chaque commande). Voici la liste des commandes disponibles.

b
    Activer ou désactiver l’attribut d’amorçage de la partition actuelle. Cela vous permet de sélectionner la partition primaire amorçable du disque. Cette commande pourrait ne pas être disponible pour tous les types d’étiquette de partition.

d
    Supprimer la partition actuelle. Cela transformera la partition en espace libre et l’ajoutera à l’espace libre adjacent à la partition actuelle. Une partition marquée comme espace libre ou marquée inutilisable ne peut pas être supprimée.

h
    Afficher un écran d’aide.

n
    Créer une nouvelle partition à partir de l’espace libre. cfdisk demande alors la taille de la partition à créer. La taille par défaut est égale à la totalité de l’espace libre disponible sur la partition actuelle.

    La taille peut être suivie d’un suffixe multiplicatif KiB(=1024), MiB(=1024*1024), etc., pour GiB, TiB, PiB, EiB, ZiB et YiB (la partie « iB » est facultative, par exemple « K » est identique à « KiB »).

q
    Quitter le programme. Cela permet de quitter le programme sans écrire aucune donnée sur le disque.

r
    Réduire ou agrandir la partition actuelle. cfdisk vous demandera la nouvelle taille de partition. La taille par défaut est celle actuelle. Une partition marquée comme espace libre ou comme inutilisable ne peut pas être redimensionnée.

    Il est à remarquer que réduire la taille d’une partition peut détruire des données sur cette partition.

s
    Ordonner les partitions dans l’ordre croissant de secteur de début. Lors de la suppression et de l’ajout de partitions, la numérotation des partitions ne correspondra probablement plus à leur ordre sur le disque. Cette commande restaure la correspondance.

t
    Modifier le type de partition. Par défaut, les nouvelles partitions sont créées comme des partitions Linux.

u
    Sauvegarder le contenu de la table de partitions actuellement en mémoire dans un fichier script compatible avec sfdisk(8).

    Les fichiers script sont compatibles entre cfdisk, fdisk(8), sfdisk(8) et les autres applications libfdisk. Pour plus de précisions, consultez sfdisk(8).

    Un script sfdisk peut aussi être chargé dans cfdisk si aucune table de partitions n’existe sur le périphérique ou si cfdisk a été démarré avec l’option --zero.

W
    Écrire la table de partitions sur le disque (notez que le W doit être entré en majuscule). Étant donné que cette commande peut détruire des données du disque, vous devez confirmer ou annuler l’ordre d’écriture en entrant « yes » ou « no ». Si vous entrez « yes », cfdisk écrira la table de partitions sur le disque et enverra l’ordre au noyau de relire la table de partitions à partir du disque.

    La relecture de la table ne fonctionne pas toujours. Dans ce cas, vous devrez informer le noyau vous-même des nouvelles partitions en utilisant partprobe(8) ou partx(8) ou en redémarrant le système.

x
    Naviguer dans les informations supplémentaires à propos d’une partition.

Flèche vers le Haut, Flèche vers le Bas
    Déplacer le curseur vers la partition précédente ou suivante. S’il y a davantage de partitions qu’il ne peut s’en afficher simultanément, vous pourrez afficher le groupe de partitions suivant (précédent) en faisant défiler l’écran vers le bas (flèche vers le haut) vers la dernière (c’est-à-dire la première) partition affichée à l’écran.

Flèche vers la gauche, Flèche vers la droite
    Sélectionner l’élément de menu précédent ou suivant. Presser la touche Entrée exécutera l’élément sélectionné.

Toutes les commandes peuvent être entrées en minuscules ou en majuscules (à l’exception de Write pour écrire). Dans un sous-menu ou une invite, la touche « Échap. » permet de revenir au menu principal.

COULEURS

La colorisation de la sortie est implémentée grâce aux fonctionnalités de terminal-colors.d(5). La colorisation implicite peut être désactivée via un fichier vide

    /etc/terminal-colors.d/{commande}.disable

pour la commande {commande} ou pour tous les outils par

    /etc/terminal-colors.d/disable

Since version 2.41, the $NO_COLOR environment variable is also supported to disable output colorization unless explicitly enabled by a command-line option.

$XDG_CONFIG_HOME/terminal-colors.d_ ou $HOME/.config/terminal-colors.d spécifiques à l’utilisateur remplacent les réglages globaux.

Notez que la colorisation de la sortie peut être activée par défaut. Dans ce cas, les répertoires terminal-colors.d n’existent pas forcément automatiquement.

cfdisk ne permet pas la personnalisation de couleurs avec un fichier de schéma de couleurs.

ENVIRONNEMENT

CFDISK_DEBUG=all
    Activer la sortie de débogage de cfdisk.

LIBFDISK_DEBUG=all
    Activer la sortie de débogage de libfdisk.

LIBBLKID_DEBUG=all
    Activer la sortie de débogage de libblkid.

LIBSMARTCOLS_DEBUG=all
    Activer la sortie de débogage de libsmartcols.

LIBSMARTCOLS_DEBUG_PADDING=on
    Utiliser des caractères de remplissage visibles. Activation nécessaire de LIBSMARTCOLS_DEBUG.

LOCK_BLOCK_DEVICE=<mode>
    Utiliser un verrou exclusif BSD. Le mode est « 1 » ou « 0 ». Consulter --lock pour davantage de détails.

AUTEURS

L’implémentation actuelle de cfdisk est basée sur le cfdisk d’origine de

VOIR AUSSI

fdisk(8), parted(8), partprobe(8), partx(8), sfdisk(8)

SIGNALER DES BOGUES

Pour signaler un bogue, utilisez le

DISPONIBILITÉ

La commande cfdisk fait partie du paquet util-linux, elle est disponible sur